Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.managedevents
Class ProcessInstanceEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent<ProcessInstanceEventHandler>
                  com.tibco.bpm.web.client.model.managedevents.ProcessInstanceEvent

    public abstract class ProcessInstanceEvent

extends ManagedEvent<ProcessInstanceEventHandler>

Event for ProcessInstance actions.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Nested Class Summary
`static class` | `ProcessInstanceEvent.Action`

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`ManagedEvent.DispatchScope`

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<ProcessInstanceEventHandler>` | `TYPE`

Fields inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`DEFAULT_VERSION, EXT_SUFFIX`

Constructor Summary
`ProcessInstanceEvent()`

Method Summary
`static ProcessInstanceEvent` | `create()`
`static ProcessInstanceEvent` | `create(ProcessInstanceEvent.Action action, java.lang.String processInstanceId)`
`static ProcessInstanceEvent` | `create(ProcessInstanceEvent.Action action, java.lang.String processInstanceId, java.lang.String moduleName, java.lang.String processName, java.lang.String version)`
`ProcessInstanceEvent.Action` | `getAction()`
`com.google.gwt.event.shared.GwtEvent.Type<ProcessInstanceEventHandler>` | `getAssociatedType()`
`java.lang.String` | `getModuleName()`
`java.lang.String` | `getProcessInstanceId()`
`java.lang.String` | `getProcessName()`
`java.lang.String` | `getVersion()`
`void` | `setAction(ProcessInstanceEvent.Action action)`
`void` | `setModuleName(java.lang.String moduleName)`
`void` | `setProcessInstanceId(java.lang.String processInstanceId)`
`void` | `setProcessName(java.lang.String processName)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`dispatch, dispatchLocal, fromJsonString, fromPageBusMessage, fromPageBusMessageDefault, getDispatchScope, getEventSourceId, getJsonizer, getManagedEventVersion, getReceivedSchemaId, getSchemaId, getSubscription, getTopic, isCacheEnabled, isDispatched, isFireWhenReceivedFromManagedHub, isReceivedFromManagedHub, isRegistered, setCacheEnabled, setDispatched, setDispatchScope, setEventSourceId, setFireWhenReceivedFromManagedHub, setManagedEventVersion, setReceivedSchemaId, setRegistered, setSubscription, toJsonString, toPageBusMessage, toPageBusMessageDefault`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<ProcessInstanceEventHandler> TYPE

Constructor Detail

### ProcessInstanceEvent

    public ProcessInstanceEvent()

Method Detail

### create

    public static ProcessInstanceEvent create()

### create

    public static ProcessInstanceEvent create(ProcessInstanceEvent.Action action,
                                              java.lang.String processInstanceId)

### create

    public static ProcessInstanceEvent create(ProcessInstanceEvent.Action action,
                                              java.lang.String processInstanceId,
                                              java.lang.String moduleName,
                                              java.lang.String processName,
                                              java.lang.String version)

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<ProcessInstanceEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<ProcessInstanceEventHandler>`

### getAction

    public ProcessInstanceEvent.Action getAction()

### setAction

    public void setAction(ProcessInstanceEvent.Action action)

### getProcessInstanceId

    public java.lang.String getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(java.lang.String processInstanceId)

### getModuleName

    public java.lang.String getModuleName()

### setModuleName

    public void setModuleName(java.lang.String moduleName)

### getProcessName

    public java.lang.String getProcessName()

### setProcessName

    public void setProcessName(java.lang.String processName)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.